<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 10/11/2012	ELL
// Revised: 12/13/2013	ELL
// Added refresh of main menu to update buttons and set to last selections.
// Revised: 6/11/2016	ELL
// Added simultaneous removal of mobile styles for plugin if they were provided.
// 
//
	include ("check_session.php");

	$plugin_id = $_REQUEST['plugin_id'];
	
	// Find CSS tables and so forth to remove.
	$query = "SELECT * FROM `" . BWB_TABLE_PREFIX . "plugins` WHERE `id`=$plugin_id";
	$result = $bwb_dbh->query($query);
	$row = $result->fetch(PDO::FETCH_ASSOC);
	$style_sheet = $row["style_sheet"];
	$name = $row["name"];
	
	// Remove style sheet from list.
	if (isset($style_sheet) && ($style_sheet != ""))
	{
		// Check for other plugins using the same style sheet and deployed.	
		$skip_remove = false;
		$query = "SELECT * FROM `" . BWB_TABLE_PREFIX . "plugins` WHERE `style_sheet`='" . $style_sheet . "' AND `id`<>" . $plugin_id;
		$result = $bwb_dbh->query($query);
		while ($row = $result->fetch(PDO::FETCH_ASSOC))
		{
			if ($row['deployed'] == 1)
				$skip_remove = true;
		}
		
		if (!$skip_remove)
		{
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "style_sheets WHERE `name`='" . $style_sheet . "'";
			$cnt = $bwb_dbh->exec($query);
			
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "style_sheets WHERE `name`='" . $style_sheet . "_mobile'";
			$cnt = $bwb_dbh->exec($query);
		
			// Delete classes and CSS from tables.
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "site_classes WHERE `style_sheet`='" . $style_sheet . "'";
			$cnt = $bwb_dbh->exec($query);
			
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "site_classes WHERE `style_sheet`='" . $style_sheet . "_mobile'";
			$cnt = $bwb_dbh->exec($query);
			
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "site_css WHERE `style_sheet`='" . $style_sheet . "'";
			$cnt = $bwb_dbh->exec($query);
			
			$query = "DELETE FROM " . BWB_TABLE_PREFIX . "site_css WHERE `style_sheet`='" . $style_sheet . "_mobile'";
			$cnt = $bwb_dbh->exec($query);
		}
	}
	
	// Mark plugin as not being deployed.
	$query = "UPDATE " . BWB_TABLE_PREFIX . "plugins SET `deployed`=0 WHERE `id`=$plugin_id";
	$cnt = $bwb_dbh->exec($query);
	
	$_SESSION['button_group'] = "other_functions";
	$_SESSION['button'] = "btn_users_site_options";
	$_SESSION['sub_button'] = "btn_show_recall_plugin";
	
?>
<script language="javascript" type="text/javascript">
	window.parent.location = "main.php";
</script>